std::_List_base< _Tp, _Alloc >(3)

NAME
std::_List_base< _Tp, _Alloc > -

SYNOPSIS

Inherited by std::list< _Tp, _Alloc > [protected].

  Public Types
typedef _Alloc allocator_type

  Public Member Functions
_List_base (const _Node_alloc_type &__a) noexcept
_List_base (_List_base &&__x) noexcept
void _M_clear () noexcept
_Node_alloc_type & _M_get_Node_allocator () noexcept
const _Node_alloc_type & _M_get_Node_allocator () const noexcept
_Tp_alloc_type _M_get_Tp_allocator () const noexcept
void _M_init () noexcept
allocator_type get_allocator () const noexcept

  Protected Types
typedef _Alloc::template rebind< _List_node< _Tp > >::other _Node_alloc_type
typedef _Alloc::template rebind< _Tp >::other _Tp_alloc_type

  Protected Member Functions
void _M_dec_size (size_t)
size_t _M_distance (const void *, const void *) const
_List_node< _Tp > * _M_get_node ()
size_t _M_get_size () const
void _M_inc_size (size_t)
size_t _M_node_count () const
void _M_put_node (_List_node< _Tp > *__p) noexcept
void _M_set_size (size_t)

  Static Protected Member Functions
static size_t _S_distance (const __detail::_List_node_base *__first, const __detail::_List_node_base *__last)

  Protected Attributes
_List_impl _M_impl

Detailed Description

  template<typename _Tp, typename _Alloc>class std::_List_base< _Tp, _Alloc >
See bits/stl_deque.h's _Deque_base for an explanation.

Definition at line 298 of file stl_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.